Get inbound card payment
curl --request GET \
--url https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "inbound_card_payment_Wp5mRx3nKv8bTh2d",
"created_at": "2026-05-01T12:00:00Z",
"entity_id": "entity_Rv4nBt8xKw2pMh6s",
"amount": 48900,
"status": "succeeded",
"type": "lockbox_card",
"transaction_id": "transaction_Kd8mNx2pRv5cTh9b",
"fee_transaction_id": null
}
{
"statusCode": 404,
"error": "Not Found",
"message": "Inbound card payment not found"
}
Inbound card payments
Get inbound card payment
Retrieve a single acquiring card payment by its ID.
GET
/
v0
/
inbound-card-payments
/
{inbound_card_payment_id}
Get inbound card payment
curl --request GET \
--url https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getlemma.com/v0/inbound-card-payments/{inbound_card_payment_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "inbound_card_payment_Wp5mRx3nKv8bTh2d",
"created_at": "2026-05-01T12:00:00Z",
"entity_id": "entity_Rv4nBt8xKw2pMh6s",
"amount": 48900,
"status": "succeeded",
"type": "lockbox_card",
"transaction_id": "transaction_Kd8mNx2pRv5cTh9b",
"fee_transaction_id": null
}
{
"statusCode": 404,
"error": "Not Found",
"message": "Inbound card payment not found"
}
Returns an inbound card payment. These are Lemma acquiring payments, usually a virtual card paid into your lockbox or a card charged manually by one of your employees in the Lemma dashboard. Acquiring is separate from debit cards issued on Lemma. To enumerate inbound card payments, see List inbound card payments.
Path parameters
string
required
The ID of the inbound card payment to retrieve.
Response
string
Unique identifier for the inbound card payment.
string
The Lemma entity that received the card payment.
integer
The amount charged, in cents. Always positive.
string
Current status of the card payment.
Show possible values
Show possible values
-
processing— the charge is in flight. -
succeeded— the card was charged. -
failed— the charge did not go through. -
canceled— the charge was canceled before completing.
string
How the card was captured.
Show possible values
Show possible values
-
lockbox_card— a virtual card paid into the entity’s Lemma lockbox. -
customer_card— a card charged directly by one of the entity’s employees in the Lemma dashboard.
string | null
The settled transaction that lands in the entity’s account, once the payment
posts.
string | null
The transaction for the processing fee, once it posts.
{
"id": "inbound_card_payment_Wp5mRx3nKv8bTh2d",
"created_at": "2026-05-01T12:00:00Z",
"entity_id": "entity_Rv4nBt8xKw2pMh6s",
"amount": 48900,
"status": "succeeded",
"type": "lockbox_card",
"transaction_id": "transaction_Kd8mNx2pRv5cTh9b",
"fee_transaction_id": null
}
{
"statusCode": 404,
"error": "Not Found",
"message": "Inbound card payment not found"
}